org.apache.hadoop.yarn.util.constraint

## Interface PlacementConstraintParser.ConstraintTokenizer

- All Superinterfaces:
    Enumeration<String>
  All Known Implementing Classes:
    PlacementConstraintParser.BaseStringTokenizer, PlacementConstraintParser.ConjunctionTokenizer, PlacementConstraintParser.MultipleConstraintsTokenizer, PlacementConstraintParser.SourceTagsTokenizer
  Enclosing class:
    PlacementConstraintParser

      public static interface PlacementConstraintParser.ConstraintTokenizer
      extends Enumeration<String>

  Tokenizer interface that used to parse an expression. It first validates if the syntax of the given expression is valid, then traverse the expression and parse it to an enumeration of strings. Each parsed string can be further consumed by a `PlacementConstraintParser.ConstraintParser` and transformed to a `PlacementConstraint.AbstractConstraint`.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `validate()` Validate the schema before actual parsing the expression.

    - ### Methods inherited from interface java.util.Enumeration

      `hasMoreElements, nextElement`

- - ### Method Detail

    - #### validate

          default void validate()
                         throws PlacementConstraintParseException

      Validate the schema before actual parsing the expression.
      Throws:
        `PlacementConstraintParseException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.